Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class AbstractAsset

    java.lang.Object
      org.apache.tapestry5.internal.services.AbstractAsset

All Implemented Interfaces:
  Asset, Asset2

    public abstract class AbstractAsset

extends java.lang.Object
implements Asset2

Base class for assets.

Since:
  5.1.0.0

Constructor Summary
`AbstractAsset(boolean invariant)`

Method Summary
`boolean` | `isInvariant()` Returns true if the Asset is invariant (meaning that it returns the same value from `Asset.toClientURL()` at all times).
`java.lang.String` | `toString()` Returns `Asset.toClientURL()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry5.Asset
`getResource, toClientURL`

Constructor Detail

### AbstractAsset

    public AbstractAsset(boolean invariant)

Method Detail

### isInvariant

    public boolean isInvariant()

  Description copied from interface: `Asset2`
  Returns true if the Asset is invariant (meaning that it returns the same value from `Asset.toClientURL()` at all times). Most Assets are invariant. Assets that are used as binding values will be cached more aggressively by Tapestry if they are invariant.

  Specified by:
    `isInvariant` in interface `Asset2`
  Returns:
    true if invariant
  See Also:
    `AssetPathConverter.isInvariant()`, `Binding.isInvariant()`

### toString

    public java.lang.String toString()

  Returns `Asset.toClientURL()`.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.